Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Python > Does upgrade from 2.7.3 to 2.7.5 require uninstall?

Reply
Thread Tools

Does upgrade from 2.7.3 to 2.7.5 require uninstall?

 
 
Wanderer
Guest
Posts: n/a
 
      06-20-2013
Do I need to uninstall Python 2.7.3 before installing Python 2.7.5?

Thanks
 
Reply With Quote
 
 
 
 
MRAB
Guest
Posts: n/a
 
      06-20-2013
On 20/06/2013 19:35, Wanderer wrote:
> Do I need to uninstall Python 2.7.3 before installing Python 2.7.5?
>

No.

 
Reply With Quote
 
 
 
 
Wanderer
Guest
Posts: n/a
 
      06-20-2013
On Thursday, June 20, 2013 2:47:52 PM UTC-4, MRAB wrote:
> On 20/06/2013 19:35, Wanderer wrote:
>
> > Do I need to uninstall Python 2.7.3 before installing Python 2.7.5?

>
> >

>
> No.


You're right. I had no problems. FYI the operating system is Windows 7.

Thanks
 
Reply With Quote
 
Terry Reedy
Guest
Posts: n/a
 
      06-21-2013
On 6/20/2013 2:44 PM, Alister wrote:
> On Thu, 20 Jun 2013 11:35:49 -0700, Wanderer wrote:
>
>> Do I need to uninstall Python 2.7.3 before installing Python 2.7.5?
>>
>> Thanks

>
> that will depend on your operating system an possibly the variety of
> python


"Python 2.7.3' and 'Python 2.7.5' are by trademark PSF CPython
implementations of the Python 2.7 language.

The Windows installers *replace* previous micro releases because the new
bugfix release is presumed to be better than any before. When that turns
out to be sufficiently false, there is a new bugfix release as soon as
possible to remove the regressions. Hence 2.7.4 was quickly replaced by
2.7.5 (and same for recent 3.2 and 3.3 releases). (Such regressions, as
with any bug, expose deficiencies in the test suite, which also get
corrected.)

I presume that *nix package managers also replace, but have not used them.

--
Terry Jan Reedy

 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
when I read gzipped response from web-servers, GzipReader returnssometimes 'invalid compressed data -- crc error' henry.jykim@gmail.com Ruby 0 04-08-2013 03:51 PM
'make uninstall' - manual uninstall DBD::Oracle; fix perllocal.pod Am Nym Perl Misc 4 05-21-2012 01:58 PM
uninstall before upgrade? waltbrad Python 2 01-19-2009 12:36 AM
Smart Client Install/Uninstall broken - Not able to Uninstall Rahul ASP .Net Web Services 0 04-24-2008 10:59 AM
uninstall/install/upgrade? heitkamp@ameritech.net Perl Misc 1 02-23-2004 07:37 PM



Advertisments